<button type="button" class="btn btn-primary" (click)="onincrement()">increment</button>
<button type="button" class="btn btn-secondary" (click)="ondecrement()">decrement</button>
<button type="button" class="btn btn-success" (click)="onreset()">reset</button>
